package com.diagbot.client;

import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.AiptServiceHystrix;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.dto.PushDTO;
import com.diagbot.dto.RespDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @Description: 调用知识库服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@FeignClient(value = "aipt-service", fallback = AiptServiceHystrix.class)
public interface AiptServiceClient {

    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @PostMapping("/push/pushInner")
    RespDTO<PushDTO> pushInner(@RequestBody SearchData searchData);

    /**
     * 获取治疗方案
     *
     * @param searchData
     * @return
     */
    @PostMapping("/push/treatment")
    RespDTO<Map<String, Object>> getTreatment(@RequestBody SearchData searchData);

    @PostMapping("/disclaimerInformation/getDisclaimerInformations")
    RespDTO<List<DisclaimerInformationDTO>> getDisclaimerInformations();
}