package com.diagbot.client.hystrix;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.client.bean.SearchData;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.dto.PushDTO;
import com.diagbot.dto.RespDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @Description: 调用知识库服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@Component
@Slf4j
public class AiptServiceHystrix implements AiptServiceClient {
    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @Override
    public RespDTO<PushDTO> pushInner(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "pushInner");
        return null;
    }

    /**
     * 获取治疗方案
     *
     * @param searchData
     * @return
     */
    @Override
    public RespDTO<Map<String, Object>> getTreatment(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "getTreatment");
        return null;
    }

    @Override
    public RespDTO<List<DisclaimerInformationDTO>> getDisclaimerInformations() {
        log.error("【hystrix】调用{}异常", "getDisclaimerInformations");
        return null;
    }
}